export class DomainResolver {
  resolve (): Promise<string> {
    const promise = new Promise((resolve) => {
      if (typeof chrome === 'undefined') {
        resolve(null)
        return
      }
      if (typeof chrome.tabs === 'undefined') {
        resolve(null)
        return
      }
      chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
        for (const tab of tabs) {
          let url = tab.url || ''
          const parts = url.match(/http:\/\/.*?\.(.*?)\..*?/) || []
          const nickname = parts[1] || null
          const isPlacetgroup = url.indexOf('laen') > -1 ||
            url.indexOf('smsmoney') > -1 ||
            url.indexOf('smsraha') > -1 ||
            url.indexOf('placetgroup') > -1
          const project = isPlacetgroup ? 'placetgroup' : 'nordecum'
          const domain = isPlacetgroup ? 'com' : 'lt'
          const isLocal = url.indexOf('.sv') !== -1
          if (nickname && isLocal) {
            url = project + '.' + nickname + '.sv'
          } else {
            url = 'dev.' + project + '.' + domain
          }
          url = (isLocal ? 'http://' : 'https://') + url
          console.log('domain_resolver', parts, nickname, isPlacetgroup, project, domain, url)
          resolve(url)
          return
        }
      })
    })
    // eslint-disable-next-line @typescript-eslint/ban-ts-ignore
    // @ts-ignore
    return promise.then((url) => {
      console.log('url', url)
      return url
    })
  }
}

export default new DomainResolver()
