import { Component, Vue } from 'vue-property-decorator'
import { Person } from '@/classes/DTO/Person'
import VueClipboard from 'vue-clipboard2'
import sender from '@/classes/Service/Browser/Chrome/Sender'
import { Action } from '@/classes/Enum/Action'
import notificationCleaner from '@/classes/Service/NotificationCleaner'

Vue.use(VueClipboard)

@Component
export default class HelloWorld extends Vue {
  person = new Person()
  isAutoCleaner = false

  mounted () {
    /** todo заполнить первоначальное значение */
    notificationCleaner.state().then((isAutoCleaner) => {
      this.isAutoCleaner = isAutoCleaner
      console.log('this.isAutoCleaner = ' + isAutoCleaner)
    })
  }

  cleanNotifications (): void {
    sender.send({
      action: Action.CLEAN_NOTIFICATION
    })
  }

  onChangeAutoCleaner () {
    console.log(this.isAutoCleaner)
    if (this.isAutoCleaner) {
      notificationCleaner.enable()
    } else {
      notificationCleaner.disable()
    }
  }
}
